%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate hashbrown

Name:           rust-hashbrown
Version:        0.14.5
Release:    1%{?dist}
Summary:        Rust port of Google's SwissTable hash map

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/hashbrown
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Rust port of Google's SwissTable hash map.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ahash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ahash-devel %{_description}

This package contains library source intended for building other packages which
use the "ahash" feature of the "%{crate}" crate.

%files       -n %{name}+ahash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allocator-api2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allocator-api2-devel %{_description}

This package contains library source intended for building other packages which
use the "allocator-api2" feature of the "%{crate}" crate.

%files       -n %{name}+allocator-api2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+equivalent-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+equivalent-devel %{_description}

This package contains library source intended for building other packages which
use the "equivalent" feature of the "%{crate}" crate.

%files       -n %{name}+equivalent-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+inline-more-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+inline-more-devel %{_description}

This package contains library source intended for building other packages which
use the "inline-more" feature of the "%{crate}" crate.

%files       -n %{name}+inline-more-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+raw-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+raw-devel %{_description}

This package contains library source intended for building other packages which
use the "raw" feature of the "%{crate}" crate.

%files       -n %{name}+raw-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rkyv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rkyv-devel %{_description}

This package contains library source intended for building other packages which
use the "rkyv" feature of the "%{crate}" crate.

%files       -n %{name}+rkyv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.5-1
- initial build
